namespace dk {
	///--------------------------------------------------------------------------
	///--------------------------------------------------------------------------
	template <size_t D>
	LayerBase<D>::LayerBase (const coords& parSize, const coords& parTileSize, const coords& parMasterTileSize) :
		m_size(parSize),
		m_tilesize(parTileSize),
		m_mastersize(parMasterTileSize)
	{
		DK_ASSERT((parMasterTileSize / parTileSize) * parTileSize == parMasterTileSize);
	}

	///--------------------------------------------------------------------------
	///--------------------------------------------------------------------------
	template <typename T, size_t D>
	Layer<T, D>::Layer (const coords& parSize, const coords& parTileSize, const coords& parMasterTileSize, streamer_type&& parStreamer) :
		LayerBase<D>(parSize, parTileSize, parMasterTileSize),
		m_streamer(std::move(parStreamer))
	{
	}
}
